// DebugExDlg.h : header file
//

#if !defined(AFX_DEBUGEXDLG_H__8127B6FC_0433_4DDB_8EF4_798036D3588A__INCLUDED_)
#define AFX_DEBUGEXDLG_H__8127B6FC_0433_4DDB_8EF4_798036D3588A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDebugExDlg dialog

class CDebugExDlg : public CDialog
{
// Construction
public:
	int m_iSize;
	void PrintVector(double *v, int n);
	CDebugExDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDebugExDlg)
	enum { IDD = IDD_DEBUGEX_DIALOG };
	CString	m_strData;
	CString	m_strMemory;
	CString	m_strOverwrite;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDebugExDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDebugExDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDebugExDlgBtnMemory();
	afx_msg void OnDebugExDlgBtnOverwrite();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnDebugExDlgBtnData();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int m_iDelete;
	int m_iCount;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEBUGEXDLG_H__8127B6FC_0433_4DDB_8EF4_798036D3588A__INCLUDED_)
